gnutls_fips140_pop_context(3)

NAME
gnutls_fips140_pop_context - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_fips140_pop_context( void);

ARGUMENTS

void

DESCRIPTION

Dissociate the FIPS context currently active on the current thread, reverting to the previously active context. If a cryptographic operation is ongoing in the current thread, e.g., gnutls_aead_cipher_init() is called but gnutls_aead_cipher_deinit() is not yet called, it returns an error GNUTLS_E_INVALID_REQUEST.

This function is no-op if FIPS140 is not compiled in nor enabled at run-time.

RETURNS
0 upon success, a negative error code otherwise

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/